Bug 190757 - Make synchronous IPC introduced in r237267 asynchronous
Summary: Make synchronous IPC introduced in r237267 asynchronous
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Alex Christensen
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2018-10-19 11:24 PDT by Alex Christensen
Modified: 2018-11-27 17:46 PST (History)
3 users (show)

See Also:


Attachments
Patch (15.65 KB, patch)
2018-10-19 11:26 PDT, Alex Christensen
no flags Details | Formatted Diff | Diff
Patch (14.64 KB, patch)
2018-11-27 16:53 PST, Alex Christensen
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Christensen 2018-10-19 11:24:17 PDT
Make synchronous IPC introduced in r237267 asynchronous
Comment 1 Alex Christensen 2018-10-19 11:26:45 PDT
Created attachment 352807 [details]
Patch
Comment 2 Chris Dumez 2018-10-22 10:15:34 PDT
Comment on attachment 352807 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=352807&action=review

Looks good but I have one concern about the autorelease.

> Source/WebKit/UIProcess/API/Cocoa/WKProcessPool.mm:584
> +        completionHandler(array);

Any reason you dropped the autorelease?
Comment 3 Alex Christensen 2018-10-23 20:42:58 PDT
Comment on attachment 352807 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=352807&action=review

>> Source/WebKit/UIProcess/API/Cocoa/WKProcessPool.mm:584
>> +        completionHandler(array);
> 
> Any reason you dropped the autorelease?

That does indeed introduce a memory leak.  Will fix.
Comment 4 Alex Christensen 2018-11-27 16:53:19 PST
Created attachment 355822 [details]
Patch
Comment 5 WebKit Commit Bot 2018-11-27 17:43:43 PST
The commit-queue encountered the following flaky tests while processing attachment 355822 [details]:

workers/bomb.html bug 171985 (author: fpizlo@apple.com)
The commit-queue is continuing to process your patch.
Comment 6 WebKit Commit Bot 2018-11-27 17:44:37 PST
Comment on attachment 355822 [details]
Patch

Clearing flags on attachment: 355822

Committed r238593: <https://trac.webkit.org/changeset/238593>
Comment 7 WebKit Commit Bot 2018-11-27 17:44:39 PST
All reviewed patches have been landed.  Closing bug.
Comment 8 Radar WebKit Bug Importer 2018-11-27 17:46:03 PST
<rdar://problem/46295880>